#!/bin/bash

#OpenFlow v1.3 Switch 21

#Clean OpenFlow v1.3 Switch 21
curl -X DELETE http://127.0.0.1:8080/stats/flowentry/clear/21

#Node 11 -> Node 1
curl -X POST -d '{"dpid": "21", "cookie":1, "priority":"100", "match":{"in_port":2, "arp_tpa":"1.0.9.2"}, "actions":[{"type":"SET_QUEUE", "queue_id":18}, {"type":"OUTPUT", "port":3}]}' http://127.0.0.1:8080/stats/flowentry/add
curl -X POST -d '{"dpid": "21", "cookie":1, "priority": 100, "match":{"in_port":2, "eth_type":0x0800, "ipv4_src":"1.0.1.2", "ipv4_dst":"1.0.9.2"}, "actions":[{"type":"SET_QUEUE", "queue_id":18}, {"type":"OUTPUT", "port":3}]}' http://127.0.0.1:8080/stats/flowentry/add

#Node 12 -> Node 2
curl -X POST -d '{"dpid": "21", "cookie":1, "priority":"100", "match":{"in_port":2, "arp_tpa":"1.0.9.3"}, "actions":[{"type":"SET_QUEUE", "queue_id":19}, {"type":"OUTPUT", "port":3}]}' http://127.0.0.1:8080/stats/flowentry/add
curl -X POST -d '{"dpid": "21", "cookie":1, "priority": 100, "match":{"in_port":2, "eth_type":0x0800, "ipv4_src":"1.0.2.2", "ipv4_dst":"1.0.9.3"}, "actions":[{"type":"SET_QUEUE", "queue_id":19}, {"type":"OUTPUT", "port":3}]}' http://127.0.0.1:8080/stats/flowentry/add

#Node 13 -> Node 3
curl -X POST -d '{"dpid": "21", "cookie":1, "priority":"100", "match":{"in_port":2, "arp_tpa":"1.0.9.4"}, "actions":[{"type":"SET_QUEUE", "queue_id":20}, {"type":"OUTPUT", "port":3}]}' http://127.0.0.1:8080/stats/flowentry/add
curl -X POST -d '{"dpid": "21", "cookie":1, "priority": 100, "match":{"in_port":2, "eth_type":0x0800, "ipv4_src":"1.0.3.2", "ipv4_dst":"1.0.9.4"}, "actions":[{"type":"SET_QUEUE", "queue_id":20}, {"type":"OUTPUT", "port":3}]}' http://127.0.0.1:8080/stats/flowentry/add

#Node 14 -> Node 4
curl -X POST -d '{"dpid": "21", "cookie":1, "priority":"100", "match":{"in_port":2, "arp_tpa":"1.0.9.5"}, "actions":[{"type":"SET_QUEUE", "queue_id":21}, {"type":"OUTPUT", "port":3}]}' http://127.0.0.1:8080/stats/flowentry/add
curl -X POST -d '{"dpid": "21", "cookie":1, "priority": 100, "match":{"in_port":2, "eth_type":0x0800, "ipv4_src":"1.0.4.2", "ipv4_dst":"1.0.9.5"}, "actions":[{"type":"SET_QUEUE", "queue_id":21}, {"type":"OUTPUT", "port":3}]}' http://127.0.0.1:8080/stats/flowentry/add

#Node 15 -> Node 5
curl -X POST -d '{"dpid": "21", "cookie":1, "priority":"100", "match":{"in_port":2, "arp_tpa":"1.0.9.6"}, "actions":[{"type":"SET_QUEUE", "queue_id":22}, {"type":"OUTPUT", "port":3}]}' http://127.0.0.1:8080/stats/flowentry/add
curl -X POST -d '{"dpid": "21", "cookie":1, "priority": 100, "match":{"in_port":2, "eth_type":0x0800, "ipv4_src":"1.0.5.2", "ipv4_dst":"1.0.9.6"}, "actions":[{"type":"SET_QUEUE", "queue_id":22}, {"type":"OUTPUT", "port":3}]}' http://127.0.0.1:8080/stats/flowentry/add

#Node 16 -> Node 6
curl -X POST -d '{"dpid": "21", "cookie":1, "priority":"100", "match":{"in_port":2, "arp_tpa":"1.0.9.7"}, "actions":[{"type":"SET_QUEUE", "queue_id":23}, {"type":"OUTPUT", "port":3}]}' http://127.0.0.1:8080/stats/flowentry/add
curl -X POST -d '{"dpid": "21", "cookie":1, "priority": 100, "match":{"in_port":2, "eth_type":0x0800, "ipv4_src":"1.0.6.2", "ipv4_dst":"1.0.9.7"}, "actions":[{"type":"SET_QUEUE", "queue_id":23}, {"type":"OUTPUT", "port":3}]}' http://127.0.0.1:8080/stats/flowentry/add

#Node 17 -> Node 7
curl -X POST -d '{"dpid": "21", "cookie":1, "priority":"100", "match":{"in_port":2, "arp_tpa":"1.0.9.8"}, "actions":[{"type":"SET_QUEUE", "queue_id":24}, {"type":"OUTPUT", "port":3}]}' http://127.0.0.1:8080/stats/flowentry/add
curl -X POST -d '{"dpid": "21", "cookie":1, "priority": 100, "match":{"in_port":2, "eth_type":0x0800, "ipv4_src":"1.0.7.2", "ipv4_dst":"1.0.9.8"}, "actions":[{"type":"SET_QUEUE", "queue_id":24}, {"type":"OUTPUT", "port":3}]}' http://127.0.0.1:8080/stats/flowentry/add

#Node 18 -> Node 8
curl -X POST -d '{"dpid": "21", "cookie":1, "priority":"100", "match":{"in_port":2, "arp_tpa":"1.0.9.9"}, "actions":[{"type":"SET_QUEUE", "queue_id":24}, {"type":"OUTPUT", "port":3}]}' http://127.0.0.1:8080/stats/flowentry/add
curl -X POST -d '{"dpid": "21", "cookie":1, "priority": 100, "match":{"in_port":2, "eth_type":0x0800, "ipv4_src":"1.0.8.2", "ipv4_dst":"1.0.9.9"}, "actions":[{"type":"SET_QUEUE", "queue_id":24}, {"type":"OUTPUT", "port":3}]}' http://127.0.0.1:8080/stats/flowentry/add

#Forward all packets from port 3 to port 2
curl -X POST -d '{"dpid": "21", "cookie":1, "priority": 1, "match":{"in_port":3}, "actions":[{"type":"OUTPUT", "port":2}]}' http://127.0.0.1:8080/stats/flowentry/add
